## cil 0.07.00

=== Makefile ===
open:
	cil summary --is-open

next-milestone:
	cil summary --is-open --label=Milestone-v0.07

closed:
	cil summary --is-closed

clean:
	find . -name '*~' -exec rm {} ';'

.PHONY: issue-summary issue-list clean

## cil 0.5.1

=== debian/changelog ===
cil (0.5.1-3) unstable; urgency=low

  * Bump Standards-Version up to 3.8.4
  * Update homepage URL (including the watch file) to point to chilts.org
  * Switch to 3.0 (quilt) source format
  * Refer to the right version of the GPL (v3) in debian/copyright

 -- Francois Marier <francois@debian.org>  Thu, 11 Feb 2010 14:51:10 +1300

cil (0.5.1-2) unstable; urgency=low

  * Updated watch file (upstream filename changed)
  * Bump Standards-Version up to 3.8.1 (no changes)
  * Add a dependency on misc:Depends (lintian warning)
  * Bump debhelper dependency to 7 and add call to dh_prep

 -- Francois Marier <francois@debian.org>  Fri, 08 May 2009 09:20:06 +1200

cil (0.5.1-1) unstable; urgency=low

  [ Andrew Chilton ]
  * New Upstream Version

  [ Francois Marier ]
  * Change priority to extra
  * Install bash completion script
  * Install upstream changelog

 -- Francois Marier <francois@debian.org>  Sat, 05 Jul 2008 21:13:00 +1200

cil (0.5.0) unstable; urgency=low

  [ Andrew Chilton ]
  * New Upstream Version

  [ Francois Marier ]
  * Add dependency on libemail-{simple,date,find}-perl
  * Update watch file (renamed upstream tarballs)

 -- Francois Marier <francois@debian.org>  Sat, 05 Jul 2008 18:01:00 +1200

cil (0.2.1-2) unstable; urgency=low

  * Remove libterm-calleditor-perl dependency
  * Cherry-pick upstream bugfix (6424e2cf7ddbd34f6bbf6b94c3489d6909c183c3)

 -- Francois Marier <francois@debian.org>  Tue, 24 Jun 2008 16:50:02 +1200

cil (0.2.1-1) unstable; urgency=low

  * Initial release (closes: #487593)

 -- Francois Marier <francois@debian.org>  Mon, 23 Jun 2008 23:43:50 +1200

=== debian/control ===
Source: cil
Section: perl
Priority: extra
Maintainer: Andrew Chilton <andychilton@gmail.com>
Uploaders: Francois Marier <francois@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: perl
Homepage: http://www.chilts.org/project/cil/
Vcs-git: git://git.debian.org/git/collab-maint/cil.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cil.git;a=summary

Package: cil
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libgetopt-mixed-perl, libdigest-perl, libfile-touch-perl, libfile-slurp-perl, libclass-accessor-perl, libdatetime-perl, libemail-simple-perl, libemail-date-perl, libemail-find-perl
Description: command line issue tracker
 'cil' allows easy command-line creation of an issue tracker. It saves each
 issue locally and in plain text. Commands are given such that these issues can
 be added, edited and listed easily.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------------

## ----------------------------------------------------------------------------
## uncomment this to turn on verbose mode

# export DH_VERBOSE=1

## ----------------------------------------------------------------------------

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f $(CURDIR)/cil.1
	dh_clean

build:	build-stamp
build-stamp:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE)
	echo Doing MAN...
	pod2man $(CURDIR)/bin/cil > $(CURDIR)/cil.1
	touch build-stamp

binary:
	dh_testdir
	dh_testroot
	dh_prep

	dh_install
	dh_installdirs
	dh_installdocs
	dh_installdebconf
	dh_installman
	dh_installchangelogs Changes
	dh_compress
	dh_fixperms
	dh_installdeb

	dh_perl

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary:	binary-indep binary-arch

.PHONY:	clean install binary-indep binary-arch binary

## ----------------------------------------------------------------------------

=== debian/watch ===
version=3
http://www.chilts.org/project/cil/ http://www.chilts.org/asset/file/cil-([\d.]+)\.tar\.gz

## cil 0.07.00

=== debian/changelog ===
cil (0.07.00-6) unstable; urgency=medium

  [ Michael Gilbert ]
  * Add missing build-dependencies (closes: #702646).

  [ Gianluca Ciccarelli ]
  * Bump Standards-Version to 3.9.4
  * Fix Lintian warning about Vcs-Git being not canonical
  * Change Homepage: (closes: #702650)

 -- Gianluca Ciccarelli <galiziacentrale@gmail.com>  Fri, 15 Mar 2013 21:03:50 +0100

cil (0.07.00-5) unstable; urgency=low

  [ Francois Marier ]
  * Fix watch file (project moved to github)

  [ Gianluca Ciccarelli ]
  * New maintainer (closes: #674829)

 -- Gianluca Ciccarelli <galiziacentrale@gmail.com>  Sun, 17 Feb 2013 16:26:58 +0100

cil (0.07.00-4) unstable; urgency=low

  * Switch to minimal debian/rules file
  * Remove co-maintainer

  * Bump debhelper version to 9
  * Bump Standards-Version up to 3.9.3

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 15:28:06 +1200

cil (0.07.00-3) unstable; urgency=medium

  * Fix FTBFS due to weird upstream Makefile (closes: #601935)
    Thanks Fabrice for the patch!
  * Bump debhelper version to 8

 -- Francois Marier <francois@debian.org>  Sun, 31 Oct 2010 21:43:32 +1300

cil (0.07.00-2) unstable; urgency=medium

  * Add missing dependency on libfile-homedir-perl (closes: #593520)

 -- Francois Marier <francois@debian.org>  Wed, 18 Aug 2010 20:21:05 -0400

cil (0.07.00-1) unstable; urgency=low

  * New upstream release
  * Swap maintainer and uploaders
  * Bump Standards-Version up to 3.9.1

 -- Francois Marier <francois@debian.org>  Thu, 05 Aug 2010 20:58:12 -0400

=== debian/control ===
Source: cil
Section: perl
Priority: extra
Maintainer: Gianluca Ciccarelli <galiziacentrale@gmail.com>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl, libclass-accessor-perl, libemail-date-perl, libemail-find-perl, libemail-simple-perl, libfile-slurp-perl, libfile-touch-perl, libgetopt-mixed-perl
Homepage: https://github.com/chilts/cil
Vcs-Git: git://git.debian.org/git/collab-maint/cil.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cil.git;a=summary

Package: cil
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libgetopt-mixed-perl, libdigest-perl, libfile-touch-perl, libfile-slurp-perl, libclass-accessor-perl, libdatetime-perl, libemail-simple-perl, libemail-date-perl, libemail-find-perl, libfile-homedir-perl
Description: command line issue tracker
 'cil' allows easy command-line creation of an issue tracker. It saves each
 issue locally and in plain text. Commands are given such that these issues can
 be added, edited and listed easily.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2man $(CURDIR)/bin/cil > $(CURDIR)/cil.1

=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=chilts&project=cil /github/chilts/cil/v([0-9.]+)\.tar\.gz

## cil 19970608-2

=== debian/changelog ===
cil (19970608-2) unstable; urgency=low

  * Now based on dh-make
  * Fixed bug #25453: cil.x86f in source, not i386 specific.
  * New cmucl release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:09:56 +0200

cil (19970608-1) unstable; urgency=low

  * 
  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 25 Apr 1998 16:28:31 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "pvaneynd@debian.org"
End:

=== debian/control ===
Source: cil
Section: doc
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 2.4.0.0

Package: cil
Architecture: i386
Depends: cmucl
Description: Chess In Lisp. A library for cmucl.
 This library is mainly intended as an example file.
 .
 Not much useful stuff can be done yet.

## cil 19970608-3

=== Makefile ===
all:
	echo -ne '(load "cil.lisp")\n(compile-file "cil")\n(quit)\n' |  lisp -batch

clean:
	rm *.x86f ; true

install:
	install -g root -o root -m 0644  cil.x86f $(DESTDIR)/usr/lib/cmucl/subsystems/cil-library.x86f

=== debian/changelog ===
cil (19970608-3) unstable; urgency=low

  * New based on FSH. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  8 Oct 1999 07:38:55 +0200

=== debian/control ===
Source: cil
Section: doc
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.0.0.0

Package: cil
Architecture: i386
Depends: cmucl (>= 2.4.17)
Description: Chess In Lisp. A library for cmucl.
 This library is mainly intended as an example file.
 .
 Not much useful stuff can be done yet.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	make CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
#	-rm -f `find . -name "*~"`
#	-rm -rf debian/tmp debian/files* core debian/substvars

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## cil 200100227-3

=== Makefile ===
install:
	install --owner=root --group=root --mode=644 cil.system $(DESTDIR)/usr/share/common-lisp/systems/
	cp -r Makefile  README  cil.lisp  copyright  \
		$(DESTDIR)/usr/share/common-lisp/repositories/cil

=== debian/changelog ===
cil (200100227-3) unstable; urgency=low

  * Rebuild for dpkg-dev problem.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:09:02 +0200

cil (200100227-2) unstable; urgency=low

  * Now for 'all' architectures
  * Now uses dh_link 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 27 Jun 2001 12:48:39 +0200

cil (200100227-1) unstable; urgency=low

  * Now using common-lisp-controller.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 12 Jun 2001 20:40:52 +0200

cil (19970608-4) unstable; urgency=low

  * new release of cmucl

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 27 Feb 2001 20:51:57 +0100

=== debian/control ===
Source: cil
Section: doc
Priority: optional
Build-Depends: debhelper
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.2.0.0

Package: cil
Architecture: all
Depends: common-lisp-controller
Description: Chess In Lisp. A library for cmucl.
 This library is mainly intended as an example file.
 .
 Not much useful stuff can be done yet.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 	
 	# Add here commands to compile the package.
-	make CFLAGS="-O2 -g -Wall"
+	#make CFLAGS="-O2 -g -Wall"
 
 	touch build-stamp
 
@@ -22,7 +22,6 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
 #	-rm -f `find . -name "*~"`
 #	-rm -rf debian/tmp debian/files* core debian/substvars
 
@@ -51,10 +50,10 @@
 	dh_installmanpages
 #	dh_undocumented
 	dh_installchangelogs
+	dh_link --verbose
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
